## kradio4-4.0.0.tar.bz2

=== plugins/CMakeLists.txt ===
project(kradio4plugins)

# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (FindPkgConfig)
include (MacroLibrary)

include(CheckIncludeFile)
include(CheckIncludeFileCXX)

###############################################################################

option(WITH_ALSA "Compile with alsa support" ON)

IF(WITH_ALSA)
    CHECK_INCLUDE_FILE_CXX(alsa/asoundlib.h HAVE_ALSA_INC)
    CHECK_LIBRARY_EXISTS(asound snd_card_next "" HAVE_ALSA_LIB)
    IF(NOT HAVE_ALSA_INC OR NOT HAVE_ALSA_LIB)

        SET(WITH_ALSA OFF
            CACHE BOOL "alsa files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: alsa files could not be found on this system. Compiling without alsa support")

    ENDIF(NOT HAVE_ALSA_INC OR NOT HAVE_ALSA_LIB)
ENDIF(WITH_ALSA)


IF (WITH_ALSA)
    message(STATUS "   Compiling with alsa support")
    add_definitions( -DHAVE_ALSA )
ELSE(WITH_ALSA)
    message(STATUS "   Compiling without alsa support")
ENDIF(WITH_ALSA)

###############################################################################


option(WITH_LIRC "Compile with LIRC support" ON)

IF(WITH_LIRC)
    CHECK_INCLUDE_FILE_CXX(lirc/lirc_client.h HAVE_LIRC_INC)
    CHECK_LIBRARY_EXISTS(lirc_client lirc_init "" HAVE_LIRC_LIB)
    IF(NOT HAVE_LIRC_INC OR NOT HAVE_LIRC_LIB)

        SET(WITH_LIRC OFF
            CACHE BOOL "LIRC files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: LIRC files could not be found on this system. Compiling without LIRC support")

    ENDIF(NOT HAVE_LIRC_INC OR NOT HAVE_LIRC_LIB)
ENDIF(WITH_LIRC)


IF (WITH_LIRC)
    message(STATUS "   Compiling with LIRC support")
    add_definitions( -DHAVE_LIRC )
ELSE(WITH_LIRC)
    message(STATUS "   Compiling without LIRC support")
ENDIF(WITH_LIRC)

###############################################################################




option(WITH_FFMPEG "Compile with Internet Radio Stations support (libavformat/libffmpeg, libmms)" ON)

IF(WITH_FFMPEG)
    SET (FFMPEG_LIBRARY_DIRS  "")
    SET (FFMPEG_INCLUDE_DIRS  "")
    SET (FFMPEG_LIBRARIES     "")

    pkg_check_modules(LIBAVFORMAT libavformat)
    IF(LIBAVFORMAT_FOUND)
        SET(HAVE_AVFORMAT_INC ON)
        SET(HAVE_AVFORMAT_LIB ON)

        SET(FFMPEG_LIBRARY_DIRS ${FFMPEG_LIBRARY_DIRS} ${LIBAVFORMAT_LIBRARY_DIRS})
        SET(FFMPEG_LIBRARIES    ${FFMPEG_LIBRARIES}    ${LIBAVFORMAT_LIBRARIES}   )
        SET(FFMPEG_INCLUDE_DIRS ${FFMPEG_INCLUDE_DIRS} ${LIBAVFORMAT_INCLUDE_DIRS})

    ELSE(LIBAVFORMAT_FOUND)
        CHECK_INCLUDE_FILE_CXX(ffmpeg/avformat.h            HAVE_AVFORMAT_OLD_INC)
        CHECK_INCLUDE_FILE_CXX(libavformat/avformat.h       HAVE_AVFORMAT_INC)
        CHECK_LIBRARY_EXISTS(avformat av_open_input_file "" HAVE_AVFORMAT_LIB)
        IF (HAVE_AVFORMAT_OLD_INC OR HAVE_AVFORMAT_INC)
            IF (HAVE_AVFORMAT_LIB)
                SET(LIBAVFORMAT_FOUND ON)
                SET(FFMPEG_LIBRARIES    "avutil" "avformat" ${FFMPEG_LIBRARIES})
            ENDIF(HAVE_AVFORMAT_LIB)
        ENDIF(HAVE_AVFORMAT_OLD_INC OR HAVE_AVFORMAT_INC)
    ENDIF(LIBAVFORMAT_FOUND)

    pkg_check_modules(LIBMMS libmms)
    IF(LIBMMS_FOUND)
        SET(HAVE_MMSX_INC ON)
        SET(HAVE_MMSX_LIB ON)

        SET(FFMPEG_LIBRARY_DIRS ${FFMPEG_LIBRARY_DIRS} ${LIBMMS_LIBRARY_DIRS})
        SET(FFMPEG_LIBRARIES    ${FFMPEG_LIBRARIES}    ${LIBMMS_LIBRARIES}   )
        SET(FFMPEG_INCLUDE_DIRS ${FFMPEG_INCLUDE_DIRS} ${LIBMMS_INCLUDE_DIRS})

    ELSE(LIBMMS_FOUND)
        CHECK_INCLUDE_FILE("libmms/mmsx.h"       HAVE_MMSX_INC)
        CHECK_LIBRARY_EXISTS(mms mmsx_connect "" HAVE_MMSX_LIB)
        IF (HAVE_MMSX_INC AND HAVE_MMSX_LIB)
            SET(LIBMMS_FOUND ON)
            SET(FFMPEG_LIBRARIES "mms" ${FFMPEG_LIBRARIES})
        ENDIF(HAVE_MMSX_INC AND HAVE_MMSX_LIB)
    ENDIF(LIBMMS_FOUND)

    IF ( NOT LIBMMS_FOUND AND NOT LIBAVFORMAT_FOUND )
        SET(WITH_FFMPEG OFF
            CACHE BOOL "libffmpeg and/or libmms files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: libffmpeg and/or libmms files could not be found on this system. Compiling without Internet Radio Stations support")
    ENDIF( NOT LIBMMS_FOUND AND NOT LIBAVFORMAT_FOUND )

ENDIF(WITH_FFMPEG)


IF (WITH_FFMPEG)
    message(STATUS "   Compiling with Internet Radio Stations (libavformat/libffmpeg, libmms) support")
    message(STATUS "       FFMPEG_INCLUDE_DIRS = ${FFMPEG_INCLUDE_DIRS}")
    message(STATUS "       FFMPEG_LIBRARY_DIRS = ${FFMPEG_LIBRARY_DIRS}")
    message(STATUS "       FFMPEG_LIBRARIES    = ${FFMPEG_LIBRARIES}")

    IF(HAVE_AVFORMAT_OLD_INC)
        add_definitions( -DHAVE_FFMPEG_OLD )
    ELSE(HAVE_AVFORMAT_OLD_INC)
        add_definitions( -DHAVE_FFMPEG )
    ENDIF(HAVE_AVFORMAT_OLD_INC)

    add_definitions( -DHAVE_MMS )
ELSE(WITH_FFMPEG)
    message(STATUS "   Compiling without Internet Radio Stations (libffmpeg, libmms) support")
ENDIF(WITH_FFMPEG)

###############################################################################



ADD_SUBDIRECTORY(radio)
ADD_SUBDIRECTORY(v4lradio)
IF(WITH_ALSA)
    ADD_SUBDIRECTORY(alsa-sound)
ENDIF(WITH_ALSA)
ADD_SUBDIRECTORY(soundserver)
ADD_SUBDIRECTORY(gui-docking-menu)
ADD_SUBDIRECTORY(timecontrol)
ADD_SUBDIRECTORY(timeshifter)
ADD_SUBDIRECTORY(streaming)
ADD_SUBDIRECTORY(recording)
ADD_SUBDIRECTORY(gui-quickbar)
ADD_SUBDIRECTORY(gui-error-log)
IF(WITH_LIRC)
    ADD_SUBDIRECTORY(lirc)
ENDIF(WITH_LIRC)
ADD_SUBDIRECTORY(gui-standard-display)
ADD_SUBDIRECTORY(shortcuts)
IF(WITH_FFMPEG)
    ADD_SUBDIRECTORY(internetradio)
ENDIF(WITH_FFMPEG)
ADD_SUBDIRECTORY(dbus)

=== plugins/dbus/CMakeLists.txt ===
project(kradio4_plugin_dbus)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)



ADD_SUBDIRECTORY(po)

FILE(GLOB kradio_plugin_dbus_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_dbus_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_dbus_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_dbus_sources
    ${kradio_plugin_dbus_UIs}
)

QT4_ADD_DBUS_ADAPTOR(kradio_plugin_dbus_sources net.sourceforge.kradio.xml
                     dbussupport.h DBusSupport)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_dbus
    ${kradio_plugin_dbus_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_dbus
    PROPERTIES
    VERSION       4.0.0
    SOVERSION     4
)

TARGET_LINK_LIBRARIES(kradio4_plugin_dbus
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

INSTALL(TARGETS kradio4_plugin_dbus ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gui-error-log/CMakeLists.txt ===
project(kradio4_plugin_gui_error_log)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)


ADD_SUBDIRECTORY(po)


FILE(GLOB kradio_plugin_gui_error_log_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_gui_error_log_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_gui_error_log_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_gui_error_log_sources
    ${kradio_plugin_gui_error_log_UIs}
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_gui_error_log
    ${kradio_plugin_gui_error_log_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_gui_error_log
    PROPERTIES
    VERSION       4.0.0
    SOVERSION     4

)

TARGET_LINK_LIBRARIES(kradio4_plugin_gui_error_log
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

INSTALL(TARGETS kradio4_plugin_gui_error_log ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gui-standard-display/CMakeLists.txt ===
project(kradio4_plugin_gui_standard_display)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)


ADD_SUBDIRECTORY(po)



FILE(GLOB kradio_plugin_gui_standard_display_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_gui_standard_display_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_gui_standard_display_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_gui_standard_display_sources
    ${kradio_plugin_gui_standard_display_UIs}
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_gui_standard_display
    ${kradio_plugin_gui_standard_display_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_gui_standard_display
    PROPERTIES
    VERSION       4.0.0
    SOVERSION     4
)

TARGET_LINK_LIBRARIES(kradio4_plugin_gui_standard_display
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

INSTALL(TARGETS kradio4_plugin_gui_standard_display ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/internetradio/CMakeLists.txt ===
project(kradio4_plugin_internetradio)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)


#ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(po)

LINK_DIRECTORIES(
    ${FFMPEG_LIBRARY_DIRS}
)

INCLUDE_DIRECTORIES(
    ${FFMPEG_INCLUDE_DIRS}
)

FILE(GLOB kradio_plugin_internetradio_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_internetradio_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_internetradio_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_internetradio_sources
    ${kradio_plugin_internetradio_UIs}
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_internetradio
    ${kradio_plugin_internetradio_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_internetradio
    PROPERTIES
    VERSION       4.0.0
    SOVERSION     4
)

TARGET_LINK_LIBRARIES(kradio4_plugin_internetradio
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
  ${FFMPEG_LIBRARIES}
)

INSTALL(TARGETS kradio4_plugin_internetradio ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/lirc/CMakeLists.txt ===
project(kradio4_plugin_lirc)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)



ADD_SUBDIRECTORY(po)

FILE(GLOB kradio_plugin_lirc_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_lirc_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_lirc_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_lirc_sources
    ${kradio_plugin_lirc_UIs}
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_lirc
    ${kradio_plugin_lirc_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_lirc
    PROPERTIES
    VERSION       4.0.0
    SOVERSION     4
)

TARGET_LINK_LIBRARIES(kradio4_plugin_lirc
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
  "-llirc_client"
)

INSTALL(TARGETS kradio4_plugin_lirc ${INSTALL_TARGETS_DEFAULT_ARGS})

INSTALL(FILES default-dot-lircrc DESTINATION ${DATA_INSTALL_DIR}/kradio4 )

=== debian/changelog ===
kradio4 (4.0.0) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Mon, 01 Jun 2009 23:00:05 +0200
 

kradio4 (snapshots_2009_05_31_r896) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 31 May 2009 22:28:56 +0200
 

kradio4 (4.0.0_rc4) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 26 Apr 2009 14:53:27 +0200
 

kradio4 (4.0.0-rc3) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 18 Apr 2009 15:25:53 +0200
 

kradio4 (4.0.0-rc2) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Fri, 10 Apr 2009 17:51:41 +0200
 

kradio4 (4-0-0-rc1) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 29 Mar 2009 14:30:02 +0200
 

kradio4 (snapshot-2009-03-28-r789) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 28 Mar 2009 23:56:44 +0100
 

kradio4 (snapshot-2009-03-22-r778) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 22 Mar 2009 15:45:54 +0100
 

kradio4 (snapshot-2009-03-18-r775) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Wed, 18 Mar 2009 00:00:02 +0100
 

kradio4 (snapshot-2009-03-18-r772) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Tue, 17 Mar 2009 23:53:23 +0100
 

kradio4 (snapshot-2009-03-17-r766) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Tue, 17 Mar 2009 02:09:49 +0100
 

kradio4 (snapshot-2009-03-17-r763) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Tue, 17 Mar 2009 01:37:29 +0100
 

kradio4 (RELEASE-r762) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Tue, 17 Mar 2009 01:35:23 +0100
 

kradio4 (4-0-0-beta2) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 15 Mar 2009 00:28:24 +0100
 

kradio4 (snapshot-2009-03-08-r745) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 08 Mar 2009 22:02:48 +0100
 

kradio4 (snapshot-2009-03-07-r723) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 07 Mar 2009 00:37:07 +0100
 

kradio4 (snapshot-2009-03-07-r720) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 07 Mar 2009 00:10:27 +0100
 

kradio4 (snapshot-2009-03-05-r701) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Thu, 05 Mar 2009 01:10:01 +0100
 

kradio4 (snapshot-2006-03-05-r699) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Thu, 05 Mar 2009 00:59:58 +0100
 

kradio4 (snapshot-2009-03-01-r694) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 01 Mar 2009 23:06:16 +0100
 

kradio4 (2009-03-01-r691) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 01 Mar 2009 22:45:06 +0100
 

kradio4 (2009-03-01-r688) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 01 Mar 2009 22:23:40 +0100
 

kradio4 (4-0-0-beta1-r664) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 22 Feb 2009 20:14:08 +0100
 

kradio4 (snapshot-2009-02-20-r649) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Fri, 20 Feb 2009 21:40:18 +0100
 

kradio4 (snapshot-2009-02-19-r630) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Thu, 19 Feb 2009 20:18:09 +0100
 

kradio (0.3.0-snapshot-2005-05-20) unstable; urgency=low

  * updated to recent upstream
  * build system fixes
  * soundstreamclient fixes (noticeConnectedI)

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Fri, 20 May 2005 23:52:15 +0200

kradio (0.3.0-snapshot-2005-05-17) unstable; urgency=low

  * fundamntal changes in sound backend
  * ogg/vorbis support
  * timeshifter

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Mon, 16 May 2005 23:59:59 +0200

kradio (0.3.0-snapshot-2004-02-23) unstable; urgency=low

  * open /dev/dsp is no more blocking
  * set correct PCM_ENABLE_INPUT flag when starting recording
  * recording: replaced QSocketNotifier by polling/nonblocking
    IO with QTimer. Some sound drivers do not support select()

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Mon, 23 Feb 2004 01:30:45 +0100

kradio (0.3.0-snapshot-2004-02-22e) unstable; urgency=low

  * fix several annoyances in configuration dialog, such as
    a reasonable minimum size of that dialog
  * recording buffer management is now configurable
  * preset file storage location is now configurable
  * finally fixed segfaults that occurred when calling
    virtual methods of virtual base classes in destructors
    (application exit and scan-dialog closing). Some
    compilers seem to not handle this case automatically in
    the correct manner.


=== debian/control ===
Source: kradio4
Section: sound
Priority: optional
Maintainer: Ernst Martin Witte <emw@users.sourceforge.net>
Build-Depends: debhelper (>> 7.0.0), qt4-dev-tools (>= 4.4.0), libqt4-dev (>= 4.4), 
 kdelibs5-dev (>= 4.2.0), liblircclient-dev (>> 0.8.0), libsndfile1-dev(>= 1.0.4),
 libasound2-dev, libavformat-dev, libavcodec-dev, libmms-dev (>= 0.4), cdbs (>= 0.4.51),
 cmake (>= 2.6.2), libmp3lame-dev (>= 3.98.0), libogg-dev (>= 1.1.0), libvorbis-dev (>= 1.1.0),
 automoc, libdbus-1-dev, pkg-kde-tools (>= 0.4)
Standards-Version: 3.5.9

Package: kradio4
Architecture: any
Depends: ${shlibs:Depends}
Description: Comfortable Radio Application for KDE 4.x
 KRadio is a comfortable AM/FM/Internet radio application for KDE 4.x with support 
 for V4L and V4L2 radio cards drivers.
 .
 KRadio currently provides
 .
   * V4L/V4L2 Radio support
   * Internet Radio Streams
   * RDS support
   * PVR support
   * Remote Control support (LIRC)
   * Alarms, Sleep Countdown
   * Several GUI Controls (Docking Menu, Station Quickbar, Radio Display, Shortcuts/Hotkeys)
   * Recording Capabilities, including MP3 and Ogg/Vorbis encoding
   * Timeshifter functionality
   * Extendable Plugin Architecture
 .
 This Package also includes a growing collection of station preset
 files for many cities around the world contributed by KRadio Users.
 .
 As KRadio is based on an extendable plugin architecture, contributions
 of new plugins (e.g. Internet Radio Streams, new cool GUIs) are welcome.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/cmake.mk

common-binary-post-install-arch:: list-missing

clean::
	rm -f conf.log conf.pri

.PHONY: get-orig-source
get-orig-source:
	uscan --force-download
